|  | Home | Documentation | wst__RenewingType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__RenewingType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RenewingType is a complexType. More...

`#include <wst.h>`

## Public Attributes
char * | Allow
| Attribute "Allow" of XSD type xs:boolean. More...
char * | OK
| Attribute "OK" of XSD type xs:boolean. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RenewingType is a complexType.

struct wst__RenewingType operations:

- wst__RenewingType* soap_new_wst__RenewingType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RenewingType(struct soap*, wst__RenewingType*) default initialize members
- int soap_read_wst__RenewingType(struct soap*, wst__RenewingType*) deserialize from a source
- int soap_write_wst__RenewingType(struct soap*, wst__RenewingType*) serialize to a sink
- wst__RenewingType* soap_dup_wst__RenewingType(struct soap*, wst__RenewingType* dst, wst__RenewingType <em>src) returns deep copy of wst__RenewingType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RenewingType(wst__RenewingType) deep deletes wst__RenewingType data members, use only on dst after soap_dup_wst__RenewingType(NULL, wst__RenewingType *dst, wst__RenewingType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__RenewingType::Allow

Attribute "Allow" of XSD type xs:boolean.

Optional attribute.

char* wst__RenewingType::OK

Attribute "OK" of XSD type xs:boolean.

Optional attribute.

The documentation for this struct was generated from the following file:

- wst.h